import sys
import DiskLib
import SystemLib 

def list_partitions(*args):
    try:
        result = DiskLib.ogListPartitions(*args)
        cleaned_output = result.rstrip('EMPTY:0 ').strip()
        print(cleaned_output)
        
    except Exception as e:
        SystemLib.ogRaiseError(f"Error al ejecutar ogListPartitions: {e}")

if __name__ == "__main__":
    list_partitions(*sys.argv[1:])

